package sun.io;

public class ByteToCharASCII extends ByteToCharConverter {
   public String getCharacterEncoding() {
      return "ASCII";
   }

   public int flush(char[] var1, int var2, int var3) {
      super.byteOff = super.charOff = 0;
      return 0;
   }

   public int convert(byte[] var1, int var2, int var3, char[] var4, int var5, int var6) throws ConversionBufferFullException, UnknownCharacterException {
      super.charOff = var5;
      super.byteOff = var2;

      while(super.byteOff < var3) {
         if (super.charOff >= var6) {
            throw new ConversionBufferFullException();
         }

         byte var7 = var1[super.byteOff++];
         if (var7 >= 0) {
            var4[super.charOff++] = (char)var7;
         } else {
            if (!super.subMode) {
               super.badInputLength = 1;
               throw new UnknownCharacterException();
            }

            var4[super.charOff++] = '�';
         }
      }

      return super.charOff - var5;
   }

   public void reset() {
      super.byteOff = super.charOff = 0;
   }
}
