package sun.io;

public class CharToByteSJIS extends CharToByteJIS0208 {
   CharToByteJIS0201 cbJIS0201 = new CharToByteJIS0201();

   public String getCharacterEncoding() {
      return "SJIS";
   }

   protected int convSingleByte(char var1, byte[] var2) {
      if (var1 == 0) {
         var2[0] = 0;
         return 1;
      } else {
         byte var3;
         if ((var3 = this.cbJIS0201.getNative(var1)) == 0) {
            return 0;
         } else {
            var2[0] = var3;
            return 1;
         }
      }
   }

   protected int getNative(char var1) {
      int var2 = CharToByteJIS0208.index1[var1 >> 8] << 8;
      char var3 = super.index2[var2 >> 12].charAt((var2 & 4095) + (var1 & 255));
      if (var3 == 0) {
         return 0;
      } else {
         int var4 = var3 >> 8 & 255;
         int var5 = var3 & 255;
         int var6 = var4 < 95 ? 112 : 176;
         int var7 = var4 % 2 == 1 ? (var5 > 95 ? 32 : 31) : 126;
         return (var4 + 1 >> 1) + var6 << 8 | var5 + var7;
      }
   }
}
