package sun.io;

public class ByteToCharSJIS extends ByteToCharJIS0208 {
   ByteToCharJIS0201 bcJIS0201 = new ByteToCharJIS0201();

   public String getCharacterEncoding() {
      return "SJIS";
   }

   protected char convSingleByte(int var1) {
      return this.bcJIS0201.getUnicode(var1);
   }

   protected char getUnicode(int var1, int var2) {
      int var3 = var2 < 159 ? 1 : 0;
      int var4 = var1 < 160 ? 112 : 176;
      int var5 = var3 == 1 ? (var2 > 127 ? 32 : 31) : 126;
      int var6 = (var1 - var4 << 1) - var3;
      int var7 = var2 - var5;
      return super.getUnicode(var6, var7);
   }

   String prt(int var1) {
      return Integer.toString(var1, 16);
   }
}
